from Moebelprojekt.leinwand import Leinwand
class Tisch:
    """
    Stellt einen Tisch im Möbelplaner dar.
    """
    def __init__(self,xPosition=50,yPosition=50,farbe='blau'):
        """
        Erzeugt einen Tisch an der gegebenen Position.
        xPosition: die x-Koordinate der Mitte des Tischs
        yPosition: die y-Koordinate der Mitte des Tischs
        farbe: die Farbe, in der der Tisch angezeigt werden soll.
               Dies sollte einer der Farbnamen der Klasse Farben sein.  
        """
        self.xPosition = xPosition
        self.yPosition = yPosition
        self.farbe = farbe
        self.formen = []
        self.leinwand = Leinwand()

    def zeige(self):
        """
        Zeigt diesen Tisch im Möbelplaner an.
        """
        if not self.formen:
            tisch = self.leinwand.polygon(self.xPosition,self.yPosition,\
                                          self.xPosition+120,self.yPosition,\
                                          self.xPosition+120,self.yPosition+60,\
                                          self.xPosition,self.yPosition+60)
            self.leinwand.farbeAendern(tisch,'transparent')
            self.leinwand.randfarbeAendern(tisch,'blau')
            self.formen.append(tisch)


    def verberge(self):
        """
        Entfernt diesen Tisch aus der Ansicht im Möbelplaner.
        """
        for form in self.formen:
            self.leinwand.loesche(form)

