from Moebelprojekt.leinwand import Leinwand
class Stuhl:
    """
    Stellt einen Stuhl im Möbelplaner dar.
    """
    def __init__(self,xPosition=20,yPosition=20,farbe='rot'):
        """
        Erzeugt einen Stuhl an der gegebenen Position.
        xPosition: die x-Koordinate der oberen linken Ecke des Stuhls
        yPosition: die y-Koordinate der oberen linken Ecke des Stuhls
        farbe: die Farbe, in der der Stuhl angezeigt werden soll.
               Dies sollte einer der Farbnamen der Klasse Farben sein.  
        """
        self.xPosition = xPosition
        self.yPosition = yPosition
        self.farbe = farbe
        self.formen = []
        self.leinwand = Leinwand()

    def zeige(self):
        """
        Zeigt diesen Stuhl im Möbelplaner an.
        """
        if not self.formen:
            sitzflaeche = self.leinwand.polygon(self.xPosition,self.yPosition,\
                                                self.xPosition+40,self.yPosition,\
                                                self.xPosition+45,self.yPosition+40,\
                                                self.xPosition-5,self.yPosition+40)
            self.leinwand.farbeAendern(sitzflaeche,'transparent')
            self.leinwand.randfarbeAendern(sitzflaeche,'rot')
            self.formen.append(sitzflaeche)
            rueckenlehne = self.leinwand.linie(self.xPosition,self.yPosition+5,\
                                                 self.xPosition+40,self.yPosition+5)
            self.leinwand.farbeAendern(rueckenlehne,'rot')
            self.formen.append(rueckenlehne)

    def verberge(self):
        """
        Entfernt diesen Stuhl aus der Ansicht im Möbelplaner.
        """
        for form in self.formen:
            self.leinwand.loesche(form)
        self.formen = []

    def drehe(self,winkel):
        """
        Dreht den Stuhl.
        winkel: der Winkel in Grad, um den im Uhrzeigersinn gedreht werden soll
        """
        for form in self.formen:
            self.leinwand.drehe(form,self.xPosition,self.yPosition,winkel)

    def horizontalBewegen(self,entfernung):
        """
        Bewegt den Stuhl in horizontaler Richtung auf der Leinwand.
        entfernung: die Anzahl an Pixeln, um dieder Stuhl nach rechts
                    bewegt werden soll. Für Bewegungen nach links sind
                    negative Zahlen zu verwenden.
        """
        for form in self.formen:
            self.leinwand.bewegen(form,entfernung,0)
        self.xPosition+=entfernung

